### Method

# GtkSource GutterLines has_class

#### Declaration [src]

    gboolean
    gtk_source_gutter_lines_has_class (
      GtkSourceGutterLines* lines,
      guint line,
      const gchar* name
    )

#### Description [src]

Checks to see if `gtk_source_gutter_lines_add_class()` was called with the `name` for `line`.

A faster version of this function is provided via `gtk_source_gutter_lines_has_qclass()` for situations where the quark is known ahead of time.

#### Parameters

`line`

  Type: `guint`

  A line number starting from zero.

`name`

  Type: `const gchar*`

  A class name that may be converted, to a `GQuark`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `line` contains `name`.